Bug 577932 - Review Request: python-geoclue - A Geoclue python module
Summary: Review Request: python-geoclue - A Geoclue python module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-29 19:08 UTC by Peter Robinson
Modified: 2010-04-13 02:00 UTC (History)
3 users (show)

Fixed In Version: python-geoclue-0.1.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-31 19:10:38 UTC
tomspur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2010-03-29 19:08:09 UTC
SPEC: http://pbrobinson.fedorapeople.org/python-geoclue.spec
SRPM: http://pbrobinson.fedorapeople.org/python-geoclue-0.1.0-1.fc12.src.rpm

Description:
This Python module uses the Geoclue D-Bus API to implement a nice API for python
developers and facilitate their life.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2082418

Comment 1 Thomas Spura 2010-03-29 20:38:05 UTC
Review:

Good:
- rpmlint
$ rpmlint ./python-geoclue-0.1.0-1.fc13.src.rpm noarch/python-geoclue-0.1.0-1.fc13.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
- group ok
- name ok
  (I believe you should directly provide python2-geoclue, because this is likly to happen in the future.)
- BuildRoot ok
  If you don't want to build in RHEL, could you delete that?
- %prep ok
- %build ok
- %install ok
- no libs
- no *.la
- buildarch: noarch ok

Needswork:
- %files
  * you should change 0.1.0 to %{version}, this way you don't need to change this all the time.
  * how about %doc docs/* ?

- license wrong: GPLv3 -> GPLv3+

- BR wrong:
  * What is pygobject2-devel for?
    Please BR pygobjec2 instead (only the python files are needed, not the whole -devel package).
  * Instead you need to also Require pygobject2 for python importing on runtime


############################################

All needswork are easyfixes, ping me if you object to something.


############################################

APPROVED

Comment 2 Peter Robinson 2010-03-29 20:55:40 UTC
Thanks!

> Needswork:
> - %files
>   * you should change 0.1.0 to %{version}, this way you don't need to change
> this all the time.
>   * how about %doc docs/* ?
> 
> - license wrong: GPLv3 -> GPLv3+
> 
> - BR wrong:
>   * What is pygobject2-devel for?
>     Please BR pygobjec2 instead (only the python files are needed, not the
> whole -devel package).
>   * Instead you need to also Require pygobject2 for python importing on runtime

I believe these are all fixed now.

Comment 3 Peter Robinson 2010-03-29 20:57:07 UTC
New Package CVS Request
=======================
Package Name: python-geoclue
Short Description: A Geoclue python module
Owners: pbrobinson
Branches: F-13 F-12 F-11
InitialCC:

Comment 4 Kevin Fenzi 2010-03-30 21:48:01 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-30 22:23:31 UTC
python-geoclue-0.1.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-geoclue-0.1.0-1.fc12

Comment 6 Fedora Update System 2010-03-30 22:23:35 UTC
python-geoclue-0.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-geoclue-0.1.0-1.fc11

Comment 7 Fedora Update System 2010-03-30 22:23:39 UTC
python-geoclue-0.1.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-geoclue-0.1.0-1.fc13

Comment 8 Peter Robinson 2010-03-31 19:10:38 UTC
In rawhide

Comment 9 Thomas Spura 2010-04-01 04:20:57 UTC
(In reply to comment #2)
> I believe these are all fixed now.    

Yepp, thanks.

Comment 10 Fedora Update System 2010-04-13 01:37:52 UTC
python-geoclue-0.1.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-04-13 01:38:03 UTC
python-geoclue-0.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-13 02:00:52 UTC
python-geoclue-0.1.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.